commit:     8d1c8b08b78866f23b15419a6b86aa47b0b485ab
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 01:48:21 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 01:48:21 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d1c8b08

dev-libs/libyaml: version bump to 0.1.7

 dev-libs/libyaml/Manifest             |  1 +
 dev-libs/libyaml/libyaml-0.1.7.ebuild | 48 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-libs/libyaml/Manifest b/dev-libs/libyaml/Manifest
index 18724ad..ec49578 100644
--- a/dev-libs/libyaml/Manifest
+++ b/dev-libs/libyaml/Manifest
@@ -1 +1,2 @@
 DIST yaml-0.1.6.tar.gz 503012 SHA256 
7da6971b4bd08a986dd2a61353bc422362bd0edcc67d7ebaac68c95f74182749 SHA512 
eef1f26fec0a305836b8c6a65def4e2864fe2415618e7490717d4e42f0fc51048727ab0e7e4a6c3a2783ae762fddd6b78091a76a6cd3a2710ae18e3dfb27cd44
 WHIRLPOOL 
b3dc733ae79c2798ad80390fee90648ab65b32b9550d6b3d336138e3d664ee6fa50f71594747e49c7e0b9b72600cb4dd22aaac62970bbf50ae343be4a8c956ca
+DIST yaml-0.1.7.tar.gz 527518 SHA256 
8088e457264a98ba451a90b8661fcb4f9d6f478f7265d48322a196cec2480729 SHA512 
1ee5007dd10db137b5ee80f8117f07390ec04af98d087a5f5475dd2b38d87c699b79ab1676e6c7bfa263323fcdf8edd69fada2b0b7f9c57bef4e46cd65f1e975
 WHIRLPOOL 
2003d3892df783324dfaa6a04195baeccae341e38e0741b8d7c2b8b29f674264644c45f334517ce9d4a45fb907adaf8a5f36a85da832a7b783d759cc13b1acac

diff --git a/dev-libs/libyaml/libyaml-0.1.7.ebuild 
b/dev-libs/libyaml/libyaml-0.1.7.ebuild
new file mode 100644
index 00000000..6818521
--- /dev/null
+++ b/dev-libs/libyaml/libyaml-0.1.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils libtool
+
+MY_P="${P/lib}"
+
+DESCRIPTION="YAML 1.1 parser and emitter written in C"
+HOMEPAGE="http://pyyaml.org/wiki/LibYAML";
+SRC_URI="http://pyyaml.org/download/${PN}/${MY_P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="doc examples test static-libs"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+
+       # conditionally remove tests
+       if ! use test; then
+               sed -i -e 's: tests::g' Makefile* || die
+       fi
+
+       elibtoolize  # for FreeMiNT
+}
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+
+       prune_libtool_files
+       use doc && dodoc -r doc/html
+
+       if use examples ; then
+               docompress -x /usr/share/doc/${PF}/examples
+               insinto /usr/share/doc/${PF}/examples
+               doins tests/example-*.c
+       fi
+}

Reply via email to